#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Gtk2-TrayIcon
Summary:	Gtk2::TrayIcon - Perl interface to the EggTrayIcon library
Summary(pl.UTF-8):	Gtk2::TrayIcon - interfejs perlowy do biblioteki EggTrayIcon
Name:		perl-Gtk2-TrayIcon
Version:	0.06
Release:	11
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	522c328f14681a25d76eeaf317e05049
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	perl-Glib >= 1.00
BuildRequires:	perl-Gtk2 >= 1.00
BuildRequires:	perl-ExtUtils-Depends >= 0.1
BuildRequires:	perl-ExtUtils-PkgConfig >= 0.1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gtk2::TrayIcon module allows a Perl developer to embed an arbitrary
widget in a System Tray like the GNOME notification area.

%description -l pl.UTF-8
Moduł Gtk2::TrayIcon umożliwia programistom perlowym umieszczanie
dowolnych kontrolek w Zasobniku Systemowym (System Tray), takim jak w
obszarze powiadamiania GNOME.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%{perl_vendorarch}/Gtk2/TrayIcon.pm
%dir %{perl_vendorarch}/Gtk2/TrayIcon
%{perl_vendorarch}/Gtk2/TrayIcon/Install
%dir %{perl_vendorarch}/auto/Gtk2/TrayIcon
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk2/TrayIcon/*.so
%{_mandir}/man3/Gtk2::TrayIcon*.3pm*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Gtk2-TrayIcon.git;a=log;h=auto/th/perl-Gtk2-TrayIcon-0.06-11

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> aa584a0
- rebuild with perl 5.24.0
- release 11 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 34fb458
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> b0ea78b
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> d8cfda3
- x32 rebuild
- release 8 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> d4b1623
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c232515
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e2e7d3e
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> e785f6e
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> dd0acc2
- release 4

* Sun Mar 02 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 52187ec
- rel.3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> df48f34
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 58043cd
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sat Dec 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 21b276b
- updated to 0.06

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> eaef140
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8e03d8d
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e64fb96
- formatting

* Tue Jul 13 2004 Patryk Zawadzki <patrys@room-303.com> 202c3b6
- added another missing BR: perl-ExtUtils-PkgConfig

* Tue Jul 13 2004 Patryk Zawadzki <patrys@room-303.com> 29d5b97
- added missing BR: perl-ExtUtils-Depends

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 89614e5
- ported to new bconds

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> b118ffe
- replaced bogus descriptions/summaries with proper ones

